Comment 102 for bug 133192

KIAaze (zohn-joidberg) wrote :

It's working! :)
I currently have those installed:
xserver-xorg-video-ati 1:6.7.197-1ubuntu1
xserver-xorg 1:7.2-5ubuntu13
libc6 2.7-5ubuntu2

And my screen works correctly. I didn't even have to change my xorg.conf.
Direct rendering works too.

Desktops effects still can't be enabled (beryl used to work) and I still have some graphical glitches in some openGL games and screenlets with black borders. But I'm not sure if those problems are related to the driver.

To upgrade to the new ATI driver, I just replaced gutsy with hardy in the sources.list and upgraded the 3 mentioned packages without doing a full dist-upgrade.
But I'll probably be reinstalling soon anyway and then I'll do a full upgrade to hardy.